#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-HXIBj4PLMzP9qLlFcJMWH9
key:                  lsp-1.2.0.0-HXIBj4PLMzP9qLlFcJMWH9
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  f2dbc39d63f24d944be5f7bc8b49d141
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-HXIBj4PLMzP9qLlFcJMWH9
depends:
    aeson-1.5.6.0-vttEzhWJzWKjl9IX66QmC
    async-2.2.3-DvF9gf9qyfPK6D6feIe45y
    attoparsec-0.14.1-94M7XwbxYJLFvYthp17dR base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV
    dependent-map-0.4.0.0-JE6SlGs6DKB4jFlgv8fcFz directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    hslogger-1.3.1.0-DpnTTRcqgkv5SivLy87nda
    lens-5.0.1-2Zjnlw4mK68FBWH0avGA3U
    lsp-types-1.2.0.0-F9KVuySJS4VGhsssjFc0A2 mtl-2.2.2
    network-uri-2.6.4.1-1oGYEtCGxwGIDetCtBI9bJ
    random-1.2.0-5H7ZZJPy96IF0kgiy7zIEA
    scientific-0.3.7.0-IzXeMiKS0G6FRSVHBIBemd
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    uuid-1.3.15-BcbAudiDWjwvD4OISKTlo

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

